Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecoder.cs	(revision 14711)
@@ -34,5 +34,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("JobSequenceMatrixDecoder", "Applies the GifflerThompson algorithm to create an active schedule from a JobSequence Matrix.")]
-  [StorableClass("1BAF94F0-CA98-47F4-A093-0ABFAB580F17")]
+  [StorableType("1BAF94F0-CA98-47F4-A093-0ABFAB580F17")]
   public class JSMDecoder : ScheduleDecoder, IStochasticOperator, IJSSPOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMDecodingErrorPolicy.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("JSMDecodingErrorPolicy", "Represents a policy for handling decoding errors.")]
-  [StorableClass("5114D2F2-667D-4BFB-BF2F-970AA58834DB")]
+  [StorableType("5114D2F2-667D-4BFB-BF2F-970AA58834DB")]
   public sealed class JSMDecodingErrorPolicy : ValueTypeValue<JSMDecodingErrorPolicyTypes> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/JSMForcingStrategy.cs	(revision 14711)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("JSMForcingStrategy", "Represents a forcing strategy.")]
-  [StorableClass("351489A3-D45E-4DF0-B3E3-B85A5A27FD32")]
+  [StorableType("351489A3-D45E-4DF0-B3E3-B85A5A27FD32")]
   public sealed class JSMForcingStrategy : ValueTypeValue<JSMForcingStrategyTypes> {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PRVDecoder.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("JobSequencingMatrixDecoder", "Applies the GifflerThompson algorithm to create an active schedule from a JobSequencing Matrix.")]
-  [StorableClass("139B3438-840B-49A5-9E0C-2B98EB00F4A6")]
+  [StorableType("139B3438-840B-49A5-9E0C-2B98EB00F4A6")]
   public class PRVDecoder : ScheduleDecoder, IStochasticOperator, IJSSPOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/PWRDecoder.cs	(revision 14711)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("PWRDecoder", "An item used to convert a PWR-individual into a generalized schedule.")]
-  [StorableClass("38D797F8-8D52-4EBB-83A4-EAB6DD176DC3")]
+  [StorableType("38D797F8-8D52-4EBB-83A4-EAB6DD176DC3")]
   public class PWRDecoder : ScheduleDecoder, IStochasticOperator, IJSSPOperator {
 
Index: branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs
===================================================================
--- branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs	(revision 13401)
+++ branches/PersistenceOverhaul/HeuristicLab.Problems.Scheduling/3.3/Decoders/ScheduleDecoder.cs	(revision 14711)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Problems.Scheduling {
   [Item("ScheduleDecoder", "A schedule decoder translates a respresentation into an actual schedule.")]
-  [StorableClass("84FC848E-0B57-46EA-A43F-C3825FABCA81")]
+  [StorableType("84FC848E-0B57-46EA-A43F-C3825FABCA81")]
   public abstract class ScheduleDecoder : SingleSuccessorOperator, IScheduleDecoder {
 
